fop 1.1

## org.apache.fop.fonts
Class FontSetup

    java.lang.Object
      org.apache.fop.fonts.FontSetup

    public final class FontSetup

extends java.lang.Object

Default fonts for FOP application; currently this uses PDF's fonts by default. Assigns the font (with metrics) to internal names like "F1" and assigns family-style-weight triplets to the fonts

Nested Class Summary
`static class` `FontSetup.MinimalFontResolver` Minimum implemenation of FontResolver.

Method Summary
`static FontResolver` `createMinimalFontResolver(boolean useComplexScriptFeatures)` Create minimal font resolver.
`static void` `setup(FontInfo fontInfo, boolean base14Kerning)` Sets up a font info
`static void` `setup(FontInfo fontInfo, java.util.List<EmbedFontInfo> embedFontInfoList, FontResolver resolver, boolean base14Kerning)` Sets up the font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setup

    public static void setup(FontInfo fontInfo,
                             boolean base14Kerning)

  Sets up a font info

  Parameters:
    `fontInfo` - font info
    `base14Kerning` - true if base14 kerning applies

### setup

    public static void setup(FontInfo fontInfo,
                             java.util.List<EmbedFontInfo> embedFontInfoList,
                             FontResolver resolver,
                             boolean base14Kerning)

  Sets up the font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Parameters:
    `fontInfo` - the font info object to set up
    `embedFontInfoList` - a list of EmbedFontInfo objects
    `resolver` - the font resolver
    `base14Kerning` - true if base14 kerning applies

### createMinimalFontResolver

    public static FontResolver createMinimalFontResolver(boolean useComplexScriptFeatures)

  Create minimal font resolver.

  Parameters:
    `useComplexScriptFeatures` - true if complex script features enabled
  Returns:
    a new FontResolver to be used by the font subsystem

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.